
pfSense - Bug #9385

OpenVPN logs a "Device busy" error when opening tap interfaces, but continues to function

03/06/2019 02:07 PM - Jim Pingle

Status: Closed Start date: 03/06/2019

Priority: Low Due date:  

Assignee: Jim Pingle % Done: 0%

Category: OpenVPN Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Version:  

Release Notes:  Affected

Architecture:

All

Description

On 2.5.0 snapshots, when openvpn starts up, it logs a "Device busy" error, but the error does not appear to harm functionality. The

VPN still comes up, passes traffic, etc.

Mar 6 14:24:23     openvpn     97827     TUN/TAP device /dev/tun5 opened

Mar 6 14:24:23     openvpn     97827     ioctl(TUNSIFMODE): Device busy (errno=16)

History

#1 - 10/06/2020 09:56 AM - Anonymous

- Assignee set to Jim Pingle

- Priority changed from Normal to Low

#2 - 10/06/2020 10:42 AM - Jim Pingle

This is still happening for every OpenVPN instance (clients or servers, tap or tun) but does not appear to be harmful as far as I can tell.

#3 - 11/09/2020 02:51 PM - Jim Pingle

- Status changed from New to Closed

- Target version deleted (2.5.0)

- Affected Version deleted (2.5.0)

Doesn't appear to affect anything and I can find similar messages in logs going back several years, so it's not new in 2.5.0.

Closing. Can revisit later if it becomes a problem.
